A Static MAC entry containing the mac and forwarding port.
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.10.76.6.21.3.1
A Static MAC entry containing the mac and forwarding port.
Identification
{1 3 6 1 4 1 171 10 76 6 21 3 1}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
staticEntry OBJECT-TYPE
SYNTAX StaticEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A Static MAC entry containing the mac and forwarding port."
INDEX { staticId }
::= { staticTable 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
A Static MAC entry containing the mac and forwarding port.
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: staticEntry
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"staticEntry",
"OBJECT-TYPE",
"SYNTAX",
"StaticEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A Static MAC entry containing the mac and forwarding port.\"",
"INDEX",
"{",
"staticId",
"}",
"::=",
"{",
"staticTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"StaticEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A Static MAC entry containing the mac and forwarding port."
],
null,
null,
[
"INDEX",
[
[
0,
"staticId"
]
]
],
null
]
}Module: DGS-1248T-BX-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Module: DGS-1248T-B1-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Module: DGS-1248T-B1-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DGS-1248T-BX-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DGS-1248T-B1-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.10.76.6.21.3.1.1 | staticId | 0 | 0 | |
| 1.3.6.1.4.1.171.10.76.6.21.3.1.2 | staticMac | 0 | 0 | |
| 1.3.6.1.4.1.171.10.76.6.21.3.1.3 | staticPort | 0 | 0 | |
| 1.3.6.1.4.1.171.10.76.6.21.3.1.4 | staticVlanID | 0 | 0 | |
| 1.3.6.1.4.1.171.10.76.6.21.3.1.5 | staticStatus | 0 | 0 |